Bug 10907 - /etc/rc.d/init.d/ipchains enhancement
Summary: /etc/rc.d/init.d/ipchains enhancement
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ipchains   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-19 07:57 UTC by Mihai Ibanescu
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-19 08:08:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to /etc/rc.d/init.d/ipchains, to properly exclude comments and new lines from $IPCHAINS_CONFIG (553 bytes, patch)
2000-04-19 08:08 UTC, Mihai Ibanescu
no flags Details | Diff

Description Mihai Ibanescu 2000-04-19 07:57:10 UTC
ipchains-restore is somewhat picky when it comes to parsing the file saved
with ipchains-save. If a human intends to edit that file, almost for sure
she will insert blank lines. The default startup script for ipchains
already allows for comments in /etc/sysconfig/ipchains. But it will fail to
properly filter comments starting with spaces, or empty lines. The normal
grep would be:

grep -v "^[[:space:]]*#" | grep -v "^[[:space:]]*$"

instead of grep -v "^#"

Patch attached

Comment 1 Mihai Ibanescu 2000-04-19 08:08:59 UTC
Created attachment 207 [details]
Patch to /etc/rc.d/init.d/ipchains, to properly exclude comments and new lines from $IPCHAINS_CONFIG

Comment 2 Nalin Dahyabhai 2000-07-10 23:55:57 UTC
Incorporated directly into ipchains-1.3.9-10.  Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.